//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.chushang.common.core.enums;

public enum AppStartType {
    main("MAIN", "内嵌方式启动"),
    web_server("WEB_SERVER", "部署到容器方式启动");

    public static final String START_FORMAT = "[{}]开始启动***{}***";
    public static final String END_FORMAT = "[{}]***{}***启动完成";
    public static final String END_ERROR_FORMAT = "[{}]***定时器***异常:{}";
    private final String type;
    private final String desc;

    private AppStartType(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public String desc() {
        return this.desc;
    }

    public boolean eq(String type) {
        return this.type().equals(type);
    }

    public String type() {
        return this.type;
    }
}
